#!/usr/bin/env python

"""
This is a template for new driver files.  Start from here and tweak until things are good.

Module to read >>> FIX: some type of <<< segy files.  No writing at this time.

     Copyright (C) 2005  Kurt Schwehr FIX: and someone else

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

$Id: segy_drv_template.py,v 1.2 2005/06/02 00:01:42 schwehr Exp $
"""

import segy_drv_rev1
import copy

# If you need to modify something from the base version, make a deep
# copy like this:

#textFileHeaderEntries = copy.deepcopy(segy_drv_rev1.textFileHeaderEntries)



# FIX: Make sure all of the instrument specifics are handled
from segy_drv_rev1 import structIntCodes

# File header stuff
from segy_drv_rev1 import textFileHeaderEntries
from segy_drv_rev1 import dataFormats
from segy_drv_rev1 import dataFormatStruct
from segy_drv_rev1 import traceSortingCodes
from segy_drv_rev1 import sweepTypeCodes

from segy_drv_rev1 import binaryHeaderEntries

# Trace header stuff
from segy_drv_rev1 import traceHdrSize
from segy_drv_rev1 import traceIdCode
from segy_drv_rev1 import dataUse
from segy_drv_rev1 import coordUnits
from segy_drv_rev1 import gainType
from segy_drv_rev1 import taperType
from segy_drv_rev1 import timeBasis
from segy_drv_rev1 import overTravel
from segy_drv_rev1 import traceUnits
from segy_drv_rev1 import transdUnits
from segy_drv_rev1 import srcTypeOrient
from segy_drv_rev1 import srcMeasUnits
from segy_drv_rev1 import traceHeader

# Put together all the tables
from segy_drv_rev1 import fileHeaderTables
from segy_drv_rev1 import traceHeaderTables


# FIX: add unit test stuff
